Source: beszel
Section: admin
Priority: optional
Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
XSBC-Original-Maintainer: Daniel Baumann <daniel@debian.org>
Bugs: mailto:maintainers@lists.progress-linux.org
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 dh-sequence-installsysusers,
 dpkg-build-api (= 1),
 golang-1.26,
 golang-github-blang-semver-dev,
 golang-github-coreos-go-systemd-dev,
 golang-github-disintegration-imaging-dev,
 golang-github-domodwyer-mailyak-dev,
 golang-github-eclipse-paho.golang-dev,
 golang-github-fatih-color-dev,
 golang-github-fxamacker-cbor-dev,
 golang-github-gabriel-vasile-mimetype-dev,
 golang-github-ganigeorgiev-fexpr-dev,
 golang-github-gliderlabs-ssh-dev (>= 0.3.8),
 golang-github-go-ozzo-ozzo-validation.v4-dev,
 golang-github-golang-jwt-jwt-v5-dev,
 golang-github-google-uuid-dev,
 golang-github-gorilla-websocket-dev,
 golang-github-lxzan-gws-dev,
 golang-github-mattn-go-colorable-dev,
 golang-github-nicholas-fedor-shoutrrr-dev,
 golang-github-pocketbase-dbx-dev,
 golang-github-pocketbase-pocketbase-dev,
 golang-github-shirou-gopsutil-dev,
 golang-github-spf13-cast-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-exp-dev,
 golang-golang-x-image-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-dev,
 golang-gopkg-yaml.v3-dev,
 golang-modernc-sqlite-dev,
 npm,
Standards-Version: 4.7.4
Homepage: https://github.com/henrygd/beszel
Vcs-Browser: https://git.progress-linux.org/horok-backports-extras/beszel
Vcs-Git: https://git.progress-linux.org/horok-backports-extras/beszel
XSBC-Original-Vcs-Browser: https://forgejo.debian.net/beszel/beszel
XSBC-Original-Vcs-Git: https://forgejo.debian.net/beszel/beszel
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/henrygd/beszel

Package: beszel-agent
Section: admin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 openssh-server,
 smartmontools,
Static-Built-Using: ${misc:Static-Built-Using}
Description: Lightweight server monitoring with historical data, docker stats, and alerts (agent)
 Beszel is a lightweight server monitoring platform that includes Docker
 statistics, historical data, and alert functions.
 .
 This package contains the beszel agent.

Package: beszel-hub
Section: admin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 openssh-client,
Static-Built-Using: ${misc:Static-Built-Using}
Description: Lightweight server monitoring with historical data, docker stats, and alerts (hub)
 Beszel is a lightweight server monitoring platform that includes Docker
 statistics, historical data, and alert functions.
 .
 This package contains the beszel hub.
